
ABCD - Support #383

Rename element Date to DateTime

11/16/2016 11:40 AM - B. Baltruschat

Status: New Start date: 11/16/2016

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Element Name Estimated time: 0.00 hour

Target version:    

Description

via David Fichtmüller from ABCD Wiki ( 

http://abcd.biowikifarm.net/wiki/Internal:ABCD_Corrections#Rename_element_Date_to_DateTime )

(Clean-Up     not backward compatible     Status: Suggested)

There are two elements Date (//Unit/Identifications/Identification/Date and

//Unit/SpecimenUnit/History/PreviousUnits/PreviousUnit/Date) and one element DateTime (//Unit/Gathering/DateTime) which all have

the type DateTimeISO. This common type should be reflected in a common name. Alternatively all of them could be renamed to

reflect that this is a complex type (has subelements) whereas all the other date related elements are a simple type.

Effected Elements:

/DataSets/DataSet/Units/Unit/Identifications/Identification/Date

/DataSets/DataSet/Units/Unit/SpecimenUnit/History/PreviousUnits/PreviousUnit/Date

History

#1 - 01/24/2017 05:44 PM - D. Fichtmüller

- Project changed from ABCD 3.0 Project to ABCD

- Subject changed from Unit Extension: Rename element Date to DateTime to Rename element Date to DateTime

- Parent task set to #476

#2 - 01/24/2017 05:45 PM - D. Fichtmüller

- Category set to Element Name

#3 - 02/21/2017 01:19 PM - L. Lertsutham

- Description updated
